%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?__python2: %global __python2 %{__python}}
Name:           python-libturpial
Version:        1.7.0
Release:        3%{?dist}
Summary:        Micro blogging python library, needed for turpial (twitter client)
Group:          Applications/Internet
License:        GPLv3
URL:            http://turpial.org.ve
Source0:        http://files.turpial.org.ve/sources/stable/libturpial-%{version}.tar.gz
Patch0:         http.py.patch
BuildRequires:  python-setuptools,python2-devel
Requires:       python-oauth,python-simplejson,python-requests,ca-certificates
BuildArch:      noarch

%description
libturpial is a library that handles multiple micro blogging protocols. It 
implements a lot of features and aims to support all the features for each 
protocol. This library is the back-end used for Turpial.

%prep
%setup -q -n libturpial-%{version} 
%patch0 -p1
sed -i 's|./|'"%{_pkgdocdir}"'|' setup.py

%build 
%{__python2} setup.py build

%install
%{__python2} setup.py install --root %{buildroot}
find %{buildroot} \( -not -name '*.py*' -a -type f \) -exec chmod 644 {}  \;
rm %{buildroot}/%{python_sitelib}/libturpial/certs/cacert.pem
chmod 0644 ChangeLog AUTHORS COPYING

%files  
%doc ChangeLog AUTHORS COPYING
%{python_sitelib}/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Richzendy <richzendy@fedoraproject.org> - 1.7.0-1
- Version 1.7.0 of libturpial

* Sat Jan 18 2014 Richzendy <richzendy@fedoraproject.org> - 1.5.9-1
- New update, complete changelog in https://github.com/satanas/libturpial/blob/1.5.9/ChangeLog

* Thu Jan 9 2014 Richzendy <richzendy@fedoraproject.org> - 1.1.16-2
- I forgot the __python2 macro to build in el6 

* Thu Jan 9 2014 Richzendy <richzendy@fedoraproject.org> - 1.1.16-1
- Support to new API twitter changes: http://turpial.org.ve/2014/01/libturpial-1-1-16-a-new-maintenance-version/

* Wed Dec 18 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-10
- needed because python-libturpial-1.0-9.el6 has already been built 

* Wed Dec 18 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-9
- Fixed python macro in el6, see https://fedorahosted.org/fpc/ticket/376

* Mon Dec 16 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-8
- Better choice to fix perms on doc files - https://bugzilla.redhat.com/show_bug.cgi?id=1036297#c19

* Mon Dec 16 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-7
- Executable permissions on doc files removed - https://bugzilla.redhat.com/show_bug.cgi?id=1036297#c16

* Fri Dec 13 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-6
- improvements from https://bugzilla.redhat.com/show_bug.cgi?id=1036297#c14

* Thu Dec 12 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-5
- Compatible with http://fedoraproject.org/wiki/Changes/UnversionedDocdirs

* Wed Dec 11 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-4
- cert file removed, thanks to https://bugzilla.redhat.com/show_bug.cgi?id=1036297#c11

* Tue Dec 10 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-3
- improvements from https://bugzilla.redhat.com/show_bug.cgi?id=1036297#c6 and https://bugzilla.redhat.com/show_bug.cgi?id=1036297#c7

* Fri Dec 06 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-2
- comments applied (https://bugzilla.redhat.com/show_bug.cgi?id=1036297#c3)

* Sat Nov 30 2013 Richzendy <richzendy@fedoraproject.org> - 1.0-1
- Initial package 
